### Function Macro

# GLib WIN32_DLLMAIN_FOR_DLL_NAME

#### Declaration [src]

    #define G_WIN32_DLLMAIN_FOR_DLL_NAME (
      static,
      dll_name
    )

#### Description [src]

On Windows, this macro defines a DllMain() function that stores the actual DLL name that the code being compiled will be included in.

On non-Windows platforms, expands to nothing.

This function is not directly available to language bindings.

#### Parameters

`static`

  Type: `-`

  Empty or “static”.

`dll_name`

  Type: `-`

  The name of the (pointer to the) char array where the DLL name will be stored. If this is used, you must also include `windows.h`. If you need a more complex DLL entry point function, you cannot use this.